datablock ParticleData(cartoonBubble)
{
   textureName          = "./cartoonbubble";
   dragCoefficient      = 1;
   windCoefficient      = 0.0;
   gravityCoefficient   = 0.01; 
   inheritedVelFactor   = 0.2;
   lifetimeMS           = 7000;
   lifetimeVarianceMS   = 0;
   useInvAlpha = true;
   spinRandomMin = 0;
   spinRandomMax = 0;

   colors[0]     = "1 1 1 0.8";
   colors[1]     = "1 1 1 0.8";
   colors[1]     = "1 1 1 0.0";

   sizes[0]      = 1;
   sizes[1]      = 1.5;
   sizes[1]      = 2;

   times[0]      = 0.0;
   times[1]      = 0.5;
   times[1]      = 1.0;
};

datablock ParticleEmitterData(cartoonBubbleEmitter)
{
   ejectionPeriodMS = 700;
   periodVarianceMS = 0;

   ejectionOffset = 0;
   ejectionOffsetVariance = 0.0;
	
   ejectionVelocity = 8;
   velocityVariance = 0.0;

   thetaMin         = 20;
   thetaMax         = 35;  

   phiReferenceVel  = 0;
   phiVariance      = 360;

   particles = cartoonBubble;   

   useEmitterColors = true;

	uiName = "Cartoon Bubble";
};